package fr.lri.hcc.ilda.touchtokens;

/*
 *   Authors: Caroline Appert (caroline.appert@lri.fr), Rafael Morales (Rafael.Morales@inria.fr)
 *   Copyright (c) Univ. Paris-Sud XI, 2016. All Rights Reserved
 *   Licensed under the GNU LGPL. For full terms see the file COPYING.
 */

import android.util.Log;

import java.util.ArrayList;

public class BufferBend extends AbstractBuffer {

	public BufferBend() {
		super();
	}

	public boolean bend() {
		synchronized(this) {
			double computedSlope3 = getSlope(3);
			double computedSlope2 = getSlope(2);
			return Math.min(computedSlope2, computedSlope3) < 0 ;
		}
	}


}

